/*
Made by Koen Willemsen 8/2

OPERA Web Applications Sample License Version 1.0
© Copyright 2006 Opera Software ASA. All rights reserved.

OPERA SOFTWARE ASA (“OPERA”) IS WILLING TO PERMIT USE OF THIS SOFTWARE 
BY YOU, ONLY UPON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS 
CONTAINED IN THIS DOCUMENT. PLEASE READ THE TERMS AND CONDITIONS OF THIS 
AGREEMENT CAREFULLY. IF YOU ARE NOT WILLING TO BE BOUND, YOU ARE NOT 
ALLOWED TO ACCESS THE CONTENTS OF, STUDY OR MAKE USE OF THE SOFTWARE IN 
ANY WAY. 

Terms of Agreement

Subject to the terms and conditions contained herein, Opera grants you a 
personal, non-exclusive license, under Opera’s intellectual property 
rights in this software (the “Software”), to use, reproduce, modify and 
redistribute the Software, with or without modifications, in source 
and/or binary forms; provided that if you redistribute the Software in 
its entirety or with modifications, you must retain this notice and the 
following text and disclaimers in all such redistributions of the 
Software. You must also cause the software files modified to carry 
prominent notices stating that you changed the files and the date of any 
change. 

Except as expressly stated in this document, no other rights or 
licenses, express or implied, are granted by Opera herein, including but 
not limited to any patent rights that may be infringed by your 
derivative works or by other works in which the Software may be 
incorporated. 

 The Software is provided by Opera on an "AS IS" basis. OPERA MAKES NO 
WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED 
WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A 
PARTICULAR PURPOSE, REGARDING THE SOFTWARE OR ITS USE AND OPERATION 
ALONE OR IN COMBINATION WITH YOUR PRODUCTS. 
 
IN NO EVENT SHALL OPERA BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL 
OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, 
MODIFICATION AND/OR DISTRIBUTION OF THE OPERA SOFTWARE, HOWEVER CAUSED 
AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), 
STRICT LIABILITY OR OTHERWISE, EVEN IF OPERA HAS BEEN ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE. 

This Agreement is governed by the laws of Norway. Any and all disputes 
arising out of the rights and obligations in this Agreement shall be 
submitted to ordinary court proceedings. You accept the Oslo City Court 
as legal venue under this Agreement.

Sources for Colombian Holidays:
Ley 51 de 1983 (Diario Oficial No. 36.428, del 30 de diciembre de 1983 
)
Source for religious holidays: http://www.smart.net/~mmontes/ec-cal.html (combined with Ley 51 de 1983). Output until 2018 by Rafael Bayona (calendarwidget@rebayona.com)

*/
var localizedHolidays=
'01.01.rep	Año Nuevo	;'+
'08.12.rep	La Inmaculada Concepción	;'+
'25.12.rep	Navidad	;'+
'01.05.rep	Día del Trabajo	;'+
'20.07.rep	Día de la Independencia	;'+
'07.08.rep	Batalla de Boyacá	;'+
'09.01.2006	La Epifanía	;'+
'20.03.2006	San Jose	;'+
'03.07.2006	San Pedro y San Pablo	;'+
'21.08.2006	Asunción de la Virgen	;'+
'16.10.2006	Dia de la raza	;'+
'06.11.2006	Día de Todos los Santos	;'+
'13.11.2006	Independencia de Cartagena	;'+
'13.04.2006	Jueves Santo	;'+
'14.04.2006	Viernes Santo	;'+
'29.05.2006	Asención del señor	;'+
'19.06.2006	Corpus Christi	;'+
'26.06.2006	Sagrado Corazón	;'+
'08.01.2007	La Epifanía	;'+
'19.03.2007	San Jose	;'+
'02.07.2007	San Pedro y San Pablo	;'+
'20.08.2007	Asunción de la Virgen	;'+
'15.10.2007	Dia de la raza	;'+
'05.11.2007	Día de Todos los Santos	;'+
'12.11.2007	Independencia de Cartagena	;'+
'05.04.2007	Jueves Santo	;'+
'06.04.2007	Viernes Santo	;'+
'21.05.2007	Asención del señor	;'+
'11.06.2007	Corpus Christi	;'+
'18.06.2007	Sagrado Corazón	;'+
'07.01.2008	La Epifanía	;'+
'24.03.2008	San Jose	;'+
'30.06.2008	San Pedro y San Pablo	;'+
'18.08.2008	Asunción de la Virgen	;'+
'13.10.2008	Dia de la raza	;'+
'03.11.2008	Día de Todos los Santos	;'+
'17.11.2008	Independencia de Cartagena	;'+
'20.03.2008	Jueves Santo	;'+
'21.03.2008	Viernes Santo	;'+
'05.05.2008	Asención del señor	;'+
'26.05.2008	Corpus Christi	;'+
'02.06.2008	Sagrado Corazón	;'+
'12.01.2009	La Epifanía	;'+
'23.03.2009	San Jose	;'+
'29.06.2009	San Pedro y San Pablo	;'+
'17.08.2009	Asunción de la Virgen	;'+
'12.10.2009	Dia de la raza	;'+
'02.11.2009	Día de Todos los Santos	;'+
'16.11.2009	Independencia de Cartagena	;'+
'09.04.2009	Jueves Santo	;'+
'10.04.2009	Viernes Santo	;'+
'25.05.2009	Asención del señor	;'+
'15.06.2009	Corpus Christi	;'+
'22.06.2009	Sagrado Corazón	;'+
'11.01.2010	La Epifanía	;'+
'22.03.2010	San Jose	;'+
'05.07.2010	San Pedro y San Pablo	;'+
'16.08.2010	Asunción de la Virgen	;'+
'18.10.2010	Dia de la raza	;'+
'01.11.2010	Día de Todos los Santos	;'+
'15.11.2010	Independencia de Cartagena	;'+
'01.04.2010	Jueves Santo	;'+
'02.04.2010	Viernes Santo	;'+
'17.05.2010	Asención del señor	;'+
'07.06.2010	Corpus Christi	;'+
'14.06.2010	Sagrado Corazón	;'+
'10.01.2011	La Epifanía	;'+
'21.03.2011	San Jose	;'+
'04.07.2011	San Pedro y San Pablo	;'+
'15.08.2011	Asunción de la Virgen	;'+
'17.10.2011	Dia de la raza	;'+
'07.11.2011	Día de Todos los Santos	;'+
'14.11.2011	Independencia de Cartagena	;'+
'21.04.2011	Jueves Santo	;'+
'22.04.2011	Viernes Santo	;'+
'06.06.2011	Asención del señor	;'+
'27.06.2011	Corpus Christi	;'+
'04.07.2011	Sagrado Corazón	;'+
'09.01.2012	La Epifanía	;'+
'19.03.2012	San Jose	;'+
'02.07.2012	San Pedro y San Pablo	;'+
'20.08.2012	Asunción de la Virgen	;'+
'15.10.2012	Dia de la raza	;'+
'05.11.2012	Día de Todos los Santos	;'+
'12.11.2012	Independencia de Cartagena	;'+
'05.04.2012	Jueves Santo	;'+
'06.04.2012	Viernes Santo	;'+
'21.05.2012	Asención del señor	;'+
'11.06.2012	Corpus Christi	;'+
'18.06.2012	Sagrado Corazón	;'+
'07.01.2013	La Epifanía	;'+
'25.03.2013	San Jose	;'+
'01.07.2013	San Pedro y San Pablo	;'+
'19.08.2013	Asunción de la Virgen	;'+
'14.10.2013	Dia de la raza	;'+
'04.11.2013	Día de Todos los Santos	;'+
'11.11.2013	Independencia de Cartagena	;'+
'28.03.2013	Jueves Santo	;'+
'29.03.2013	Viernes Santo	;'+
'13.05.2013	Asención del señor	;'+
'03.06.2013	Corpus Christi	;'+
'10.06.2013	Sagrado Corazón	;'+
'06.01.2014	La Epifanía	;'+
'24.03.2014	San Jose	;'+
'30.06.2014	San Pedro y San Pablo	;'+
'13.08.2014	Asunción de la Virgen	;'+
'12.10.2014	Dia de la raza	;'+
'03.11.2014	Día de Todos los Santos	;'+
'17.11.2014	Independencia de Cartagena	;'+
'17.04.2014	Jueves Santo	;'+
'18.04.2014	Viernes Santo	;'+
'02.06.2014	Asención del señor	;'+
'23.06.2014	Corpus Christi	;'+
'30.06.2014	Sagrado Corazón	;'+
'12.01.2015	La Epifanía	;'+
'23.03.2015	San Jose	;'+
'29.06.2015	San Pedro y San Pablo	;'+
'17.08.2015	Asunción de la Virgen	;'+
'12.10.2015	Dia de la raza	;'+
'02.11.2015	Día de Todos los Santos	;'+
'16.11.2015	Independencia de Cartagena	;'+
'02.04.2015	Jueves Santo	;'+
'03.04.2015	Viernes Santo	;'+
'18.05.2015	Asención del señor	;'+
'08.06.2015	Corpus Christi	;'+
'15.06.2015	Sagrado Corazón	;'+
'11.01.2016	La Epifanía	;'+
'21.03.2016	San Jose	;'+
'04.07.2016	San Pedro y San Pablo	;'+
'15.08.2016	Asunción de la Virgen	;'+
'17.10.2016	Dia de la raza	;'+
'07.11.2016	Día de Todos los Santos	;'+
'14.11.2016	Independencia de Cartagena	;'+
'24.03.2016	Jueves Santo	;'+
'25.03.2016	Viernes Santo	;'+
'09.05.2016	Asención del señor	;'+
'30.05.2016	Corpus Christi	;'+
'06.06.2016	Sagrado Corazón	;'+
'09.01.2017	La Epifanía	;'+
'20.03.2017	San Jose	;'+
'03.07.2017	San Pedro y San Pablo	;'+
'21.08.2017	Asunción de la Virgen	;'+
'16.10.2017	Dia de la raza	;'+
'06.11.2017	Día de Todos los Santos	;'+
'13.11.2017	Independencia de Cartagena	;'+
'13.04.2017	Jueves Santo	;'+
'14.04.2017	Viernes Santo	;'+
'29.05.2017	Asención del señor	;'+
'19.06.2017	Corpus Christi	;'+
'26.06.2017	Sagrado Corazón	;'+
'08.01.2018	La Epifanía	;'+
'19.03.2018	San Jose	;'+
'02.07.2018	San Pedro y San Pablo	;'+
'20.08.2018	Asunción de la Virgen	;'+
'15.10.2018	Dia de la raza	;'+
'05.11.2018	Día de Todos los Santos	;'+
'12.11.2018	Independencia de Cartagena	;'+
'29.03.2018	Jueves Santo	;'+
'30.03.2018	Viernes Santo	;'+
'14.05.2018	Asención del señor	;'+
'04.06.2018	Corpus Christi	;'+
'11.06.2018	Sagrado Corazón	;'