/*
OPERA Web Applications Sample License Version 1.0
© Copyright 2006 Opera Software ASA. All rights reserved.

OPERA SOFTWARE ASA (“OPERA”) IS WILLING TO PERMIT USE OF THIS SOFTWARE 
BY YOU, ONLY UPON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS 
CONTAINED IN THIS DOCUMENT. PLEASE READ THE TERMS AND CONDITIONS OF THIS 
AGREEMENT CAREFULLY. IF YOU ARE NOT WILLING TO BE BOUND, YOU ARE NOT 
ALLOWED TO ACCESS THE CONTENTS OF, STUDY OR MAKE USE OF THE SOFTWARE IN 
ANY WAY. 

Terms of Agreement

Subject to the terms and conditions contained herein, Opera grants you a 
personal, non-exclusive license, under Opera’s intellectual property 
rights in this software (the “Software”), to use, reproduce, modify and 
redistribute the Software, with or without modifications, in source 
and/or binary forms; provided that if you redistribute the Software in 
its entirety or with modifications, you must retain this notice and the 
following text and disclaimers in all such redistributions of the 
Software. You must also cause the software files modified to carry 
prominent notices stating that you changed the files and the date of any 
change. 

Except as expressly stated in this document, no other rights or 
licenses, express or implied, are granted by Opera herein, including but 
not limited to any patent rights that may be infringed by your 
derivative works or by other works in which the Software may be 
incorporated. 

 The Software is provided by Opera on an "AS IS" basis. OPERA MAKES NO 
WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED 
WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A 
PARTICULAR PURPOSE, REGARDING THE SOFTWARE OR ITS USE AND OPERATION 
ALONE OR IN COMBINATION WITH YOUR PRODUCTS. 
 
IN NO EVENT SHALL OPERA BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL 
OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, 
MODIFICATION AND/OR DISTRIBUTION OF THE OPERA SOFTWARE, HOWEVER CAUSED 
AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), 
STRICT LIABILITY OR OTHERWISE, EVEN IF OPERA HAS BEEN ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE. 

This Agreement is governed by the laws of Norway. Any and all disputes 
arising out of the rights and obligations in this Agreement shall be 
submitted to ordinary court proceedings. You accept the Oslo City Court 
as legal venue under this Agreement. 
*/
var localizedHolidays=
" 01.01.rep New Year's ;"+
" 02.01.rep Andre Nyttårsdag ;"+
" 01.05.rep May Day;"+
" 17.05.rep Constitution Day;"+
" 25.12.rep Christmas Day ;"+
" 26.12.rep Second Day of Christmas ;"+

" 20.04.2000 Maundy Thursday ;"+
" 21.04.2000 Good Friday ;"+
" 24.04.2000 Easter Monday ;"+
" 01.06.2000 Ascension ;"+
" 12.06.2000 Pentecost Sunday ;"+
" 13.06.2000 Pentecost Monday ;"+

" 12.04.2001 Maundy Thursday ;"+
" 13.04.2001 Good Friday ;"+
" 16.04.2001 Easter Monday ;"+
" 24.05.2001 Ascension ;"+
" 04.06.2001 Pentecost Sunday ;"+
" 05.06.2001 Pentecost Monday ;"+

" 28.04.2002 Maundy Thursday ;"+
" 29.03.2002 Good Friday ;"+
" 32.03.2002 Easter Monday ;"+
" 09.05.2002 Ascension ;"+
" 20.05.2002 Pentecost Sunday ;"+
" 21.05.2002 Pentecost Monday ;"+

" 17.04.2003 Maundy Thursday ;"+
" 18.04.2003 Good Friday ;"+
" 21.04.2003 Easter Monday ;"+
" 29.05.2003 Ascension ;"+
" 09.06.2003 Pentecost Sunday ;"+
" 10.06.2003 Pentecost Monday ;"+


" 08.04.2004 Maundy Thursday ;"+
" 09.04.2004 Good Friday ;"+
" 12.04.2004 Easter Monday ;"+
" 20.05.2004 Ascension ;"+
" 31.05.2004 Pentecost Sunday ;"+
" 01.06.2004 Pentecost Monday ;"+

" 24.03.2005 Maundy Thursday ;"+
" 25.03.2005 Good Friday ;"+
" 28.03.2005 Easter Monday ;"+
" 05.05.2005 Ascension ;"+
" 16.05.2005 Pentecost Sunday ;"+
" 17.05.2005 Pentecost Monday ;"+

" 13.04.2006 Maundy Thursday ;"+
" 14.04.2006 Good Friday ;"+
" 17.04.2006 Easter Monday ;"+
" 25.05.2006 Ascension ;"+
" 05.06.2006 Pentecost Sunday ;"+
" 06.06.2006 Pentecost Monday ;"+

" 05.04.2007 Maundy Thursday ;"+
" 06.04.2007 Good Friday ;"+
" 09.04.2007 Easter Monday ;"+
" 17.05.2007 Ascension ;"+
" 28.05.2007 Pentecost Sunday ;"+
" 29.05.2007 Pentecost Monday ;"+

" 20.03.2008 Maundy Thursday ;"+
" 21.03.2008 Good Friday ;"+
" 24.03.2008 Easter Monday ;"+
" 01.05.2008 Ascension ;"+
" 12.05.2008 Pentecost Sunday ;"+
" 13.05.2008 Pentecost Monday ;"+

" 09.04.2009 Maundy Thursday ;"+
" 10.04.2009 Good Friday ;"+
" 13.04.2009 Easter Monday ;"+
" 21.05.2009 Ascension ;"+
" 31.06.2009 Pentecost Sunday ;"+
" 01.06.2009 Pentecost Monday ;"+

" 01.04.2010 Maundy Thursday ;"+
" 02.04.2010 Good Friday ;"+
" 05.04.2010 Easter Monday ;"+
" 13.05.2010 Ascension ;"+
" 24.05.2010 Pentecost Sunday ;"+
" 25.05.2010 Pentecost Monday ;"+

" 21.04.2011 Maundy Thursday ;"+
" 22.04.2011 Good Friday ;"+
" 25.04.2011 Easter Monday ;"+
" 02.06.2011 Ascension ;"+
" 13.06.2011 Pentecost Sunday ;"+
" 14.06.2011 Pentecost Monday ;"+

" 05.04.2012 Maundy Thursday ;"+
" 06.04.2012 Good Friday ;"+
" 09.04.2012 Easter Monday ;"+
" 17.05.2012 Ascension ;"+
" 28.05.2012 Pentecost Sunday ;"+
" 29.05.2012 Pentecost Monday ;"+

" 28.03.2013 Maundy Thursday ;"+
" 29.03.2013 Good Friday ;"+
" 01.40.2013 Easter Monday ;"+
" 09.05.2013 Ascension ;"+
" 20.05.2013 Pentecost Sunday ;"+
" 21.05.2013 Pentecost Monday ;"+

" 17.04.2014 Maundy Thursday ;"+
" 18.04.2014 Good Friday ;"+
" 21.04.2014 Easter Monday ;"+
" 29.05.2014 Ascension ;"+
" 09.06.2014 Pentecost Sunday ;"+
" 10.06.2014 Pentecost Monday ;"+

" 02.04.2015 Maundy Thursday ;"+
" 03.04.2015 Good Friday ;"+
" 06.04.2015 Easter Monday ;"+
" 14.05.2015 Ascension ;"+
" 25.05.2015 Pentecost Sunday ;"+
" 26.05.2015 Pentecost Monday ;"+

" 24.03.2016 Maundy Thursday ;"+
" 25.03.2016 Good Friday ;"+
" 28.03.2016 Easter Monday ;"+
" 05.05.2016 Ascension ;"+
" 16.05.2016 Pentecost Sunday ;"+
" 17.05.2016 Pentecost Monday ;"+

" 13.04.2017 Maundy Thursday ;"+
" 14.04.2017 Good Friday ;"+
" 17.04.2017 Easter Monday ;"+
" 25.05.2017 Ascension ;"+
" 05.06.2017 Pentecost Sunday ;"+
" 06.06.2017 Pentecost Monday ;"+

" 29.03.2018 Maundy Thursday ;"+
" 30.03.2018 Good Friday ;"+
" 02.04.2018 Easter Monday ;"+
" 10.05.2018 Ascension ;"+
" 21.05.2018 Pentecost Sunday ;"+
" 22.05.2018 Pentecost Monday ;"+

" 18.04.2019 Maundy Thursday ;"+
" 19.04.2019 Good Friday ;"+
" 22.04.2019 Easter Monday ;"+
" 30.05.2019 Ascension ;"+
" 10.06.2019 Pentecost Sunday ;"+
" 11.06.2019 Pentecost Monday ;"

