var rss = new Array();
var checked = new Array();
var myOptions = new Array();
var head_txt = new Array();
var label_txt = new Array();
var li_height = 20;
var config_height = 470;
var TAB = String.fromCharCode(9);
if (widget.preferenceForKey('rss_count') && widget.preferenceForKey('rss_count') > 0) {
    var rss_count = widget.preferenceForKey('rss_count');
    getConfigs();
} else {
    widget.setPreferenceForKey(0, 'rss_count');
    var rss_count = 0;
}

// Execute the script on load
window.addEventListener('load',function(ev){
    var configview = document.getElementById('configview');
    config_height = configview.offsetHeight;
    configview.style.display = 'none';
    configview.style.visibility = 'visible';
    getOptions();
    setLanguage(myOptions['language']);
    setStyle(myOptions['style']);
    setSize(myOptions['size']);
    setSelected(document.getElementById('language'), myOptions['language']);
    setSelected(document.getElementById('style'), myOptions['style']);
    setSelected(document.getElementById('size'), myOptions['size']);
    setRadio('scroll', myOptions['scroll']);
    setRadio('click', myOptions['click']);
    setRadio('read', 'none');
    displayRss();
    displayConfigs();
    for (var i = 0; i < rss.length; i++) {
        getContents(i);
    }

    // add behavior to the flip button on the front side
    document.getElementById('configfront').addEventListener('click',function(ev){
        flipWidget("back");
    }, false);

    // add behavior to the flip button on the back side
    document.getElementById('flipback').addEventListener('click',function(ev){
        flipWidget("front");
    }, false);

    document.getElementById('closefront').addEventListener('click',function(ev){        window.close();
    }, false);

    document.getElementById('registered_rss').addEventListener('click',function(ev){
        showConfig(document.getElementById('registered_rss').value);
    }, false);

    document.getElementById('regbutton').addEventListener('mouseover',function(ev){
        document.getElementById('regbutton').style.opacity = '0.8';
    }, false);

    document.getElementById('regbutton').addEventListener('mouseout',function(ev){
        document.getElementById('regbutton').style.opacity = '1.0';
    }, false);

    document.getElementById('regbutton').addEventListener('click',function(ev){
        if (isNaN(document.getElementById('registered_rss').value)) {
            regConfig();
        } else {
            regConfig(document.getElementById('registered_rss').value);
        }
        showConfig();
    }, false);

    document.getElementById('addbutton').addEventListener('mouseover',function(ev){
        document.getElementById('addbutton').style.opacity = '0.8';
    }, false);

    document.getElementById('addbutton').addEventListener('mouseout',function(ev){
        document.getElementById('addbutton').style.opacity = '1.0';
    }, false);

    document.getElementById('addbutton').addEventListener('click',function(ev){
        showConfig();
    }, false);

    document.getElementById('rmbutton').addEventListener('mouseover',function(ev){
        document.getElementById('rmbutton').style.opacity = '0.8';
    }, false);

    document.getElementById('rmbutton').addEventListener('mouseout',function(ev){
        document.getElementById('rmbutton').style.opacity = '1.0';
    }, false);

    document.getElementById('rmbutton').addEventListener('click',function(ev){
        if (!isNaN(document.getElementById('registered_rss').value)) {
            delConfig(document.getElementById('registered_rss').value);
        }
        showConfig();
    }, false);

    document.getElementById('uporder').addEventListener('mouseover',function(ev){
        document.getElementById('uporder').style.opacity = '0.8';
    }, false);

    document.getElementById('uporder').addEventListener('mouseout',function(ev){
        document.getElementById('uporder').style.opacity = '1.0';
    }, false);

    document.getElementById('uporder').addEventListener('click',function(ev){
        if (!isNaN(document.getElementById('registered_rss').value)) {
            changeOrder(document.getElementById('registered_rss').value, -1);
        }
    }, false);

    document.getElementById('downorder').addEventListener('mouseover',function(ev){
        document.getElementById('downorder').style.opacity = '0.8';
    }, false);

    document.getElementById('downorder').addEventListener('mouseout',function(ev){
        document.getElementById('downorder').style.opacity = '1.0';
    }, false);

    document.getElementById('downorder').addEventListener('click',function(ev){
        if (!isNaN(document.getElementById('registered_rss').value)) {
            changeOrder(document.getElementById('registered_rss').value, 1);
        }
    }, false);
},false);

// Perform the flipping of the widget
function flipWidget(to) {
    switch (to) {
    case "back":
    adjustHeight(config_height);
    document.getElementById('frontview').style.display = "none";
    document.getElementById('configview').style.display = "block";
    break;
    case "front":
    adjustHeight();
    document.getElementById('configview').style.display = "none";
    document.getElementById('frontview').style.display = "block";
    break;
    default:
    // do nothing
    break;
    }
}

function checkClick(ev) {
    if (myOptions['click'] == 'no') {
        return true;
    }
    var a = ev.currentTarget;
    if (a.tagName.toLowerCase() == 'span') {
        a.id.match(/del_(.+)$/);
        a = document.getElementById(RegExp.$1);
    }
    a.id.match(/(\d+)_(\d+)/);
    var no = RegExp.$1;
    var i = RegExp.$2;
    if (rss[no]['contents'][i]['link'] == a.href) {
        rss[no]['contents'][i]['check'] = true;
        rss[no]['count']--;
        checked[no][checked[no].length] = rss[no]['contents'][i]['uid'];
        setChecked(no);
        displayContents(no, true);
        var changeheight = false;
        switch (parseInt(rss[no]['show'])) {
        case 1:
            if (rss[no]['count'] < rss[no]['num']) {
                changeheight = true;
            }
            break;
        case 2:
            if (myOptions['scroll'] == 'no' || rss[no]['count'] < rss[no]['num']) {
                changeheight = true;
            }
            break;
        }
        if (changeheight) {
            var list_height = document.getElementById('rsscontents' + no).offsetHeight;
            var frontListAnimation = document.getElementById('rsscontents' + no).createAnimation();
            frontListAnimation.speed = 50;
            rss[no]['height'] = rss[no]['count'] * li_height;
            frontListAnimation.addAnimation('height', list_height+'px', rss[no]['count'] * li_height + 'px').run();
            if (rss[no]['count'] == 0 && no != rss_count - 1) {
                rss[no]['height'] -= 5;
                frontListAnimation.addAnimation('paddingBottom', '5px', '0px').run();
            }
        }
    }
}

function setChecked(no) {
    widget.setPreferenceForKey(checked[no].join(TAB), 'checked' + no);
    opera.postError(no + '. ' + checked[no].join(TAB));
}

function clearChecked(no) {
    checked[no] = new Array();
    for (var i = 0; i < rss[no]['contents'].length; i++) {
        rss[no]['contents'][i]['check'] = false;
    }
    rss[no]['count'] = rss[no]['contents'].length;
    setChecked(no);
    displayContents(no);
}

function allChecked(no) {
    checked[no] = new Array();
    for (var i = 0; i < rss[no]['contents'].length; i++) {
        rss[no]['contents'][i]['check'] = true;
        checked[no][i] = rss[no]['contents'][i]['uid'];
    }
    rss[no]['count'] = 0;
    setChecked(no);
    displayContents(no);
}

function getContents(no) {
    if (rss[no]['timeout']) {
        clearTimeout(rss[no]['timeout']);
    }
    getRss(no);
    rss[no]['timeout'] = setTimeout("getContents('" + no + "')", rss[no]['interval'] * 60000);
}

function displayContents(no, nochheight) {
    switch (parseInt(rss[no]['show'])) {
    case 0: // display nothing
        var num = 0;
        document.getElementById("downbutton" + no).style.opacity = 1.0;
        document.getElementById("upbutton" + no).style.opacity = 0.0;
        document.getElementById("downbutton" + no).style.cursor = 'pointer';
        document.getElementById("upbutton" + no).style.cursor = 'default';
        if (no != rss_count - 1) {
            document.getElementById("rsscontents" + no).style.paddingBottom = '0px';
        }
        document.getElementById('rsscontents' + no).style.overflow = 'hidden';
        var contwidth = 350;
        break;
    case 2: // display all
        var num = rss[no]['contents'].length;
        document.getElementById("downbutton" + no).style.opacity = 0.0;
        document.getElementById("upbutton" + no).style.opacity = 1.0;
        document.getElementById("downbutton" + no).style.cursor = 'default';
        document.getElementById("upbutton" + no).style.cursor = 'pointer';
        if (myOptions['scroll'] == 'no' || rss[no]['count'] <= rss[no]['num']) {
            document.getElementById('rsscontents' + no).style.overflow = 'hidden';
            var contwidth = 350;
        } else {
            document.getElementById('rsscontents' + no).style.overflow = 'auto';
            var contwidth = 330;
        }
        break;
    default: // display default number
        var num = rss[no]['num'];
        document.getElementById("downbutton" + no).style.opacity = 1.0;
        document.getElementById("upbutton" + no).style.opacity = 1.0;
        document.getElementById("downbutton" + no).style.cursor = 'pointer';
        document.getElementById("upbutton" + no).style.cursor = 'pointer';
        document.getElementById('rsscontents' + no).style.overflow = 'hidden';
        var contwidth = 350;
        break;
    }
    if (rss[no]['count'] == 0) {
        document.getElementById("rsscontents" + no).style.paddingBottom = '0px';
    }
    var oList = document.getElementById("list" + no);
    oList.innerHTML = '';
    for (var i = 0, shownum = 0; shownum < num && i < rss[no]['contents'].length; i++) {
        if (!rss[no]['contents'][i]['check']) {
            var oA = document.createElement('a');
            oA.id = no + '_' + i;
            oA.href = rss[no]['contents'][i]['link'];
            oA.innerHTML = strAdjust(rss[no]['contents'][i]['title'], contwidth);
            var oSpan = document.createElement('span');
            oSpan.id = 'del_' + no + '_' + i;
            oSpan.className = 'rmitem';
            oSpan.innerHTML = '&nbsp;';
            var oLi = document.createElement('li');
            oLi.appendChild(oA);
            oLi.appendChild(oSpan);
            oList.appendChild(oLi);
            oA.addEventListener('click', checkClick, false);
            oSpan.addEventListener('click', checkClick, false);
            oSpan.addEventListener('mouseover', function(ev){
                ev.currentTarget.style.opacity = '0.8';
            }, false);
            oSpan.addEventListener('mouseout', function(ev){
                ev.currentTarget.style.opacity = '0.3';
            }, false);
            shownum++;
        }
    }
    document.getElementById("count" + no).innerHTML = '(' + rss[no]['count'] + ')';
    document.getElementById("update" + no).innerHTML = ' - ' + fmtDate(rss[no]['update']);
    if (!nochheight) {
        if (parseInt(rss[no]['show']) == 2 && myOptions['scroll'] == 'yes' && rss[no]['num'] < shownum) {
            rss[no]['height'] = rss[no]['num'] * li_height;
        } else {
            rss[no]['height'] = shownum * li_height;
        }
        document.getElementById("rsscontents" + no).style.height = rss[no]['height'] + 'px';
        if (shownum && parseInt(document.getElementById("rsscontents" + no).style.paddingBottom) == 0) {
            rss[no]['height'] += 5;
            document.getElementById("rsscontents" + no).style.paddingBottom = '5px';
        }
    }
}

function fmtDate(dd) {
    var now = new Date();
    var ret = '';
    if (dd.getYear() != now.getYear()) {
        ret += dd.getYear() + '/';
    }
    if (dd.getMonth() != now.getMonth() || dd.getDate() != now.getDate()) {
        ret += dd.getMonth() + 1 + '/' + dd.getDate() + ' ';
    }
    if (dd.getHours() < 10) {
        ret += '0';
    }
    ret += dd.getHours() + ':';
    if (dd.getMinutes() < 10) {
        ret += '0';
    }
    ret += dd.getMinutes();
    return ret;
}

function changeShow(no, updown) {
    var old_show = parseInt(rss[no]['show']);
    var show =  old_show + parseInt(updown);
    var list_height = document.getElementById('rsscontents' + no).offsetHeight;
    if (-1 < show && show < 3) {
        rss[no]['show'] = show;
        widget.setPreferenceForKey(show, 'show' + no);
        var to;
        var frontListAnimation = document.getElementById('rsscontents' + no).createAnimation();
        switch (show) {
        case 0:
            if (rss[no]['count'] == 0) {
                displayContents(no, true);
                return;
            }
            to = '0px';
            rss[no]['height'] = 0;
            frontListAnimation.speed = 200 / rss[no]['num'];
            if (no != rss_count - 1) {
                frontListAnimation.addAnimation('paddingBottom', '5px', '0px').run();
            } else {
                rss[no]['height'] = 5;
            }
            frontListAnimation.onfinish = function(){
                displayContents(no);
            }
            break;
        case 2:
            if (rss[no]['count'] == 0 || rss[no]['count'] <= rss[no]['num']) {
                displayContents(no, true);
                return;
            }
            if (myOptions['scroll'] == 'yes') {
                to = null;
            } else {
                rss[no]['height'] = rss[no]['count'] * li_height;
                to = rss[no]['height'] + 'px';
            }
            frontListAnimation.speed = 30;
            displayContents(no, true);
            break;
        default:
            if (rss[no]['count'] < rss[no]['num']) {
                rss[no]['height'] = rss[no]['count'] * li_height;
            } else {
                rss[no]['height'] = rss[no]['num'] * li_height;
            }
            to = rss[no]['height'] + 'px';
            if (old_show == 0) {
                if (rss[no]['count'] == 0) {
                    displayContents(no, true);
                    return;
                }
                frontListAnimation.speed = 200 / rss[no]['num'];
                if (no != rss_count - 1) {
                    rss[no]['height'] += 5;
                    frontListAnimation.addAnimation('paddingBottom', '0px', '5px').run();
                }
                displayContents(no, true);
            } else {
                if (rss[no]['count'] == 0 || rss[no]['count'] <= rss[no]['num']) {
                    displayContents(no, true);
                    return;
                }
                frontListAnimation.speed = 30;
                frontListAnimation.onfinish = function(){
                    displayContents(no, true);
                }
            }
            break;
        }
        if (to) {
            if (list_height < parseInt(to)) {
                adjustHeight();
            }
            frontListAnimation.addAnimation('height', list_height+'px', to).run();
            if (parseInt(to) <= list_height) {
                adjustHeight();
            }
        }
    }
}

function displayRss() {
    var main_front = document.getElementById("main_front");
    main_front.innerHTML = '';
    var ele;
    var update, up, down;
    for (var i = 0; i < rss.length; i++) {
        update = document.createElement('p');
        update.className = 'updatebutton';
        update.id = 'updatebutton' + i;
        up = document.createElement('p');
        up.className = 'upbutton';
        up.id = 'upbutton' + i;
        down = document.createElement('p');
        down.className = 'downbutton';
        down.id = 'downbutton' + i;
        ele = document.createElement('div');
        ele.id = 'rsstitle' + i;
        ele.className = 'rsstitle';
        ele.innerHTML = '<a href="' + rss[i]['top_url'] + '" id="topurl' + i + '">' + rss[i]['title'] + '</a> <span id="count' + i + '"></span><span id="update' + i + '"></span>';
        ele.appendChild(down);
        ele.appendChild(up);
        ele.appendChild(update);
        main_front.appendChild(ele);
        ele = document.createElement('div');
        ele.id = 'rsscontents' + i;
        ele.className = 'rsscontents';
        main_front.appendChild(ele);
        ele = document.createElement('ul');
        ele.id = 'list' + i;
        document.getElementById("rsscontents" + i).appendChild(ele);
        document.getElementById("updatebutton" + i).addEventListener('mouseover',function(ev){
            ev.currentTarget.style.opacity = '0.8';
        }, false);
        document.getElementById("updatebutton" + i).addEventListener('mouseout',function(ev){
            ev.currentTarget.style.opacity = '1.0';
        }, false);
        document.getElementById("updatebutton" + i).addEventListener('click', function(ev){
            var tb = ev.currentTarget;
            displayUpdate(parseInt(tb.id.substring(12)));
        }, false);
        document.getElementById("upbutton" + i).addEventListener('mouseover',function(ev){
            var tb = ev.currentTarget;
            if (tb.style.opacity != 0) {
                tb.style.opacity = '0.8';
            }
        }, false);
        document.getElementById("upbutton" + i).addEventListener('mouseout',function(ev){
            var tb = ev.currentTarget;
            if (tb.style.opacity != 0) {
                tb.style.opacity = '1.0';
            }
        }, false);
        document.getElementById("upbutton" + i).addEventListener('click', function(ev){
            var tb = ev.currentTarget;
            changeShow(tb.id.substring(8), -1);
        }, false);
        document.getElementById("downbutton" + i).addEventListener('mouseover',function(ev){
            var tb = ev.currentTarget;
            if (tb.style.opacity != 0) {
                tb.style.opacity = '0.8';
            }
        }, false);
        document.getElementById("downbutton" + i).addEventListener('mouseout',function(ev){
            var tb = ev.currentTarget;
            if (tb.style.opacity != 0) {
                tb.style.opacity = '1.0';
            }
        }, false);
        document.getElementById("downbutton" + i).addEventListener('click', function(ev){
            var tb = ev.currentTarget;
            changeShow(tb.id.substring(10), 1);
        }, false);
    }
}

function displayUpdate(no) {
    displayRss();
    if (!isNaN(no)) {
        getContents(no);
    }
    for (var i = 0; i < rss.length; i++) {
        if (i != no) {
            displayContents(i);
        }
    }
}

function getRss(no) {
    var url = rss[no]['url'];
    var request = new XMLHttpRequest();
    request.onreadystatechange = function() {
        if (request.readyState == 4) {
            if (request.status == 200) {
                if (request.responseXML.getElementsByTagName("feed").length) {
                    var header = request.responseXML.getElementsByTagName("feed")[0].childNodes;
                    var itemTags = request.responseXML.getElementsByTagName("entry");
                } else if (request.responseXML.getElementsByTagName("channel").length) {
                    var header = request.responseXML.getElementsByTagName("channel")[0].childNodes;
                    var itemTags = request.responseXML.getElementsByTagName("item");
                } else if (request.responseXML.getElementsByTagName("head").length) {
                    var header_link = request.responseXML.getElementsByTagName("head")[0].getElementsByTagName("link");
                    for (var i = 0; i < header_link.length; i++) {
                        if (header_link[i].rel == 'alternate' && (header_link[i].type == 'application/rss+xml' || header_link[i].type == 'application/atom+xml')) {
                            if (header_link[i].href.indexOf('http') == 0) {
                                rss[no]['url'] = header_link[i].href;
                            } else if (header_link[i].href.indexOf('file://localhost/') == 0) {
                                rss[no]['url'] += header_link[i].href.replace('file://localhost/', '');
                            } else {
                                rss[no]['url'] += header_link[i].href;
                            }
                            getRss(no);
                            return true;
                        }
                    }
                    if (rss[no]['title'].indexOf('(invalid URL)') == -1) {
                        rss[no]['title'] += '(invalid URL)';
                    }
                    document.getElementById("registered_rss").options[no].text = rss[no]['title'];
                    document.getElementById("topurl" + no).innerHTML = rss[no]['title'];
                    return false;
                } else if (request.responseText.match(/(<link [^>]*application\/rss\+xml[^>]*>)/) || request.responseText.match(/(<link [^>]*application\/atom\+xml[^>]*>)/)) {
                    var feed_link = RegExp.$1;
                    feed_link.match(/href="([^"]*)"/); //"
                    if (RegExp.$1.indexOf('http') == 0) {
                        rss[no]['url'] = RegExp.$1;
                    } else {
                        rss[no]['url'] += RegExp.$1;
                    }
                    getRss(no);
                    return true;
                } else {
                    if (rss[no]['title'].indexOf('(invalid URL)') == -1) {
                        rss[no]['title'] += '(invalid URL)';
                    }
                    document.getElementById("registered_rss").options[no].text = rss[no]['title'];
                    document.getElementById("topurl" + no).innerHTML = rss[no]['title'];
                    return false;
                }
                rss[no]['top_url'] = '';
                for (var i = 0; i < header.length; i++) {
                    switch (header[i].tagName) {
                    case 'title':
                        if (!rss[no]['title'] || rss[no]['title'] == '') {
                            rss[no]['title'] = header[i].firstChild.nodeValue;
                            document.getElementById("registered_rss").options[no].text = rss[no]['title'];
                            document.getElementById("topurl" + no).innerHTML = rss[no]['title'];
                            widget.setPreferenceForKey(rss[no]['title'], 'title' + no);
                        }
                        break;
                    case 'link':
                        if (header[i].getAttribute("href")) {
                            rss[no]['top_url'] = header[i].getAttribute("href");
                        } else {
                            rss[no]['top_url'] = header[i].firstChild.nodeValue;
                        }
                        break;
                    default:
                        break;
                    }
                }
                document.getElementById("topurl" + no).href = rss[no]['top_url'];
                var items = new Array();
                var newChecked = new Array();
                var itemCount = itemTags.length;
                for (var i = 0; i < itemTags.length; i++) {
                    var title, link, isChecked, uid = null;
                    if (itemTags[i].getAttribute("rdf:about")) {
                        uid = itemTags[i].getAttribute("rdf:about");
                    }
                    var children = itemTags[i].childNodes;
                    for (var j = 0; j < children.length; j++) {
                        if (children[j].nodeType == 1) {
                            var tagname = children[j].tagName;
                            switch (tagname) {
                            case 'title':
                                if (children[j].firstChild) {
                                    title = children[j].firstChild.nodeValue;
                                }
                                break;
                            case 'link':
                                if (children[j].getAttribute("href")) {
                                    link = children[j].getAttribute("href");
                                } else {
                                    if (children[j].firstChild) {
                                        link = children[j].firstChild.nodeValue;
                                    }
                                }
                                break;
                            case 'guid':
                                uid = children[j].firstChild.nodeValue;
                                break;
                            case 'id':
                                uid = children[j].firstChild.nodeValue;
                                break;
                            default:
                                break;
                            }
                        }
                    }
                    if (!uid) {
                        uid = link;
                    }
                    if (checked[no] && inArray(uid, checked[no])) {
                        newChecked[newChecked.length] = uid;
                        isChecked = true;
                        itemCount--;
                    } else {
                        isChecked = false;
                    }
                    items[items.length] = {'title': title, 'link': link, 'check': isChecked, 'uid': uid};
                }
                rss[no]['update'] = new Date();
                rss[no]['contents'] = items;
                rss[no]['count'] = itemCount;
                checked[no] = newChecked;
                setChecked(no);
                displayContents(no);
            } else {
                if (rss[no]['title'].indexOf('(could not get)') == -1) {
                    rss[no]['title'] += '(could not get)';
                }
                document.getElementById("registered_rss").options[no].text = rss[no]['title'];
                document.getElementById("topurl" + no).innerHTML = rss[no]['title'];
                return false;
            }
        }
    }
    request.open("GET", url, true);
    request.setRequestHeader('X-Requested-With', 'XMLHttpRequest');
    request.setRequestHeader('If-Modified-Since', 'Wed, 15 Nov 1995 00:00:00 GMT');
    request.send();
}

function strAdjust(str, width) {
    if (!width || isNaN(width)) {
        return str;
    }
    if (document.getElementById('frontview').style.display == 'none') {
        var parent = document.getElementById('bottom_config');
    } else {
        var parent = document.getElementById('main_front');
    }
    var ele = document.createElement('span');
    ele.id = 'test_width';
    ele.innerHTML = 'test';
    parent.appendChild(ele);
    var baseheight = ele.offsetHeight;
    var str_ex = '<span class="rmitem">&nbsp;</span>';
    ele.innerHTML = str + str_ex;
    var strwidth = ele.offsetWidth;
    var strheight = ele.offsetHeight;
    if (strwidth <= width && strheight == baseheight) {
        parent.removeChild(ele);
        return str;
    } else {
        while (baseheight < strheight) {
            str = jsubstr(str, jstrlen(str) - 3);
            ele.innerHTML = str + str_ex;
            strheight = ele.offsetHeight;
        }
        strwidth = ele.offsetWidth;
        while (width < strwidth) {
            var len = Math.floor(jstrlen(str) * (width - 15) / strwidth);
            str = jsubstr(str, len);
            ele.innerHTML = str + str_ex;
            strwidth = ele.offsetWidth;
        }
        parent.removeChild(ele);
        return str + '...';
    }
}

function jstrlen(str) {
    var len = 0;
    str = escape(str);
    for (var i = 0; i < str.length; i++, len++) {
        if (str.charAt(i) == "%") {
            if (str.charAt(++i) == "u") {
                i += 3;
                len++;
            }
            i++;
        }
    }
    return len;
}

function jsubstr(str, len) {
    var tmp_len = 0;
    var tmp_str = '';
    var org_str = str;
    str = escape(str);
    for (var i = 0, j= 0; i < str.length; i++, j++, tmp_len++) {
        if (str.charAt(i) == "%") {
            if (str.charAt(++i) == "u") {
                i += 3;
                tmp_len++;
            }
            i++;
        }
        if (len < tmp_len) {
            break;
        }
        tmp_str += org_str.charAt(j);
    }
    return tmp_str;
}

function inArray(needle, haystack) {
    for (var i = 0; i < haystack.length; i++) {
        if (haystack[i] == needle) {
            return true;
        }
    }
    return false;
}

function getConfigs() {
    for (var i = 0; i < rss_count; i++) {
        rss[i] = new Array();
        rss[i]['title'] = widget.preferenceForKey('title'+i);
        rss[i]['url'] = widget.preferenceForKey('url'+i);
        rss[i]['num'] = parseInt(widget.preferenceForKey('num'+i));
        rss[i]['interval'] = parseInt(widget.preferenceForKey('interval'+i));
        rss[i]['show'] = parseInt(widget.preferenceForKey('show'+i));
        checked[i] = widget.preferenceForKey('checked'+i).split(TAB);
    }
}

function displayConfigs() {
    var sel = document.getElementById("registered_rss");
    sel.innerHTML = '';
    for (var i = 0; i < rss.length; i++) {
        var ele = document.createElement('option');
        ele.value = i;
        ele.text = html_entity_decode(rss[i]['title']);
        sel.appendChild(ele);
    }
}

function showConfig(no) {
    if (isNaN(no)) {
        document.getElementById("registered_rss").value = '';
        document.getElementById("form_title").value = '';
        document.getElementById("form_url").value = '';
        document.getElementById("form_num").value = 5;
        document.getElementById("form_interval").value = 180;
    } else {
        document.getElementById("form_title").value = html_entity_decode(rss[no]['title']);
        document.getElementById("form_url").value = rss[no]['url'];
        document.getElementById("form_num").value = rss[no]['num'];
        document.getElementById("form_interval").value = rss[no]['interval'];
    }
    setRadio('read', 'none');
}

function regConfig(no) {
    if (document.getElementById("form_url").value != '') {
        if (isNaN(no) || !rss[no]) {
            // new
            var itsnew = true;
            var number = rss_count;
            rss[number] = new Array();
        } else {
            // update
            var itsnew = false;
            var number = no;
        }
        if (document.getElementById("form_title").value != '') {
            var raw_title = document.getElementById("form_title").value;
        } else {
            var raw_title = '';
        }
        rss[number]['title'] = htmlentities(raw_title);
        rss[number]['url'] = document.getElementById("form_url").value;
        rss[number]['num'] = isNaN(document.getElementById("form_num").value) ? 5 : document.getElementById("form_num").value;
        rss[number]['interval'] = isNaN(document.getElementById("form_interval").value) ? 180 : document.getElementById("form_interval").value;
        rss[number]['show'] = itsnew ? 1 : rss[number]['show'];
        if (itsnew) {
            var ele = document.createElement('option');
            ele.value = number;
            ele.text = raw_title ? raw_title : 'Loading...';
            document.getElementById("registered_rss").appendChild(ele);
            widget.setPreferenceForKey(++rss_count, 'rss_count');
        } else {
            var ele = document.getElementById("registered_rss").options[number];
            ele.text = raw_title ? raw_title : 'Loading...';
        }
        displayUpdate(number);
        widget.setPreferenceForKey(rss[number]['title'], 'title' + number);
        widget.setPreferenceForKey(rss[number]['url'], 'url' + number);
        widget.setPreferenceForKey(rss[number]['num'], 'num' + number);
        widget.setPreferenceForKey(rss[number]['interval'], 'interval' + number);
        widget.setPreferenceForKey(rss[number]['show'], 'show' + number);
        var read = getRadio('read');
        switch (read) {
            case 'all':
                allChecked(number);
                break;
            case 'clear':
                clearChecked(number);
                break;
            default:
                break;
        }
    }
}

function delConfig(no) {
    no = parseInt(no);
    if (rss[no]) {
        if (rss[no]['timeout']) {
            clearTimeout(rss[no]['timeout']);
        }
        for (var i = no; i < rss_count; i++){
            if (rss[i + 1]) {
                rss[i] = rss[i + 1];
                checked[i] = checked[i + 1];
                widget.setPreferenceForKey(rss[i]['title'], 'title' + i);
                widget.setPreferenceForKey(rss[i]['url'], 'url' + i);
                widget.setPreferenceForKey(rss[i]['num'], 'num' + i);
                widget.setPreferenceForKey(rss[i]['interval'], 'interval' + i);
                widget.setPreferenceForKey(rss[i]['show'], 'show' + i);
                widget.setPreferenceForKey(checked[i].join(TAB), 'checked' + i);
            } else {
                delete rss[i];
                rss.length = i;
                delete checked[i];
                checked.length = i;
                widget.setPreferenceForKey(null, 'title' + i);
                widget.setPreferenceForKey(null, 'url' + i);
                widget.setPreferenceForKey(null, 'num' + i);
                widget.setPreferenceForKey(null, 'interval' + i);
                widget.setPreferenceForKey(null, 'show' + i);
                widget.setPreferenceForKey(null, 'checked' + i);
            }
        }
        widget.setPreferenceForKey(--rss_count, 'rss_count');
        displayConfigs();
        displayRss();
        for (var i = 0; i < rss_count; i++) {
            displayContents(i);
        }
    }
}

function changeOrder(no, updown) {
    no = parseInt(no);
    var newNo = no + parseInt(updown);
    if (no != newNo && newNo > -1 && newNo < rss_count) {
        var tmp = rss[newNo];
        rss[newNo] = rss[no];
        rss[no] = tmp;
        tmp = checked[newNo];
        checked[newNo] = checked[no];
        checked[no] = tmp;
        widget.setPreferenceForKey(rss[newNo]['title'], 'title' + newNo);
        widget.setPreferenceForKey(rss[newNo]['url'], 'url' + newNo);
        widget.setPreferenceForKey(rss[newNo]['num'], 'num' + newNo);
        widget.setPreferenceForKey(rss[newNo]['interval'], 'interval' + newNo);
        widget.setPreferenceForKey(rss[newNo]['show'], 'show' + newNo);
        widget.setPreferenceForKey(checked[newNo].join(TAB), 'checked' + newNo);
        widget.setPreferenceForKey(rss[no]['title'], 'title' + no);
        widget.setPreferenceForKey(rss[no]['url'], 'url' + no);
        widget.setPreferenceForKey(rss[no]['num'], 'num' + no);
        widget.setPreferenceForKey(rss[no]['interval'], 'interval' + no);
        widget.setPreferenceForKey(rss[no]['show'], 'show' + no);
        widget.setPreferenceForKey(checked[no].join(TAB), 'checked' + no);
        document.getElementById("registered_rss").options[newNo].text = rss[newNo]['title'];
        document.getElementById("registered_rss").options[no].text = rss[no]['title'];
        document.getElementById("registered_rss").selectedIndex = newNo;
        displayUpdate();
    }
}

function getOptions() {
    if (widget.preferenceForKey('language')) {
        myOptions['language'] = widget.preferenceForKey('language');
    } else {
        myOptions['language'] = 'en';
    }
    if (widget.preferenceForKey('style')) {
        myOptions['style'] = widget.preferenceForKey('style');
    } else {
        myOptions['style'] = 'darkglass';
    }
    if (widget.preferenceForKey('size')) {
        myOptions['size'] = widget.preferenceForKey('size');
    } else {
        myOptions['size'] = 'normal';
    }
    if (widget.preferenceForKey('scroll')) {
        myOptions['scroll'] = widget.preferenceForKey('scroll');
    } else {
        myOptions['scroll'] = 'no';
    }
    if (widget.preferenceForKey('click')) {
        myOptions['click'] = widget.preferenceForKey('click');
    } else {
        myOptions['click'] = 'yes';
    }
}

function setOption(name, value) {
    widget.setPreferenceForKey(value, name);
    myOptions[name] = value;
    switch (name) {
        case 'language':
            setLanguage(value);
            break;
        case 'style':
            setStyle(value);
            break;
        case 'size':
            setSize(value);
            break;
        case 'scroll':
            if (document.getElementById("main_front").innerHTML != '') {
                for (var i = 0; i < rss_count; i++) {
                    if (rss[i]['show'] == 2) {
                        displayContents(i);
                    }
                }
            }
            break;
        default:
            break;
    }
}

function setLanguage(lang) {
    var ele = document.getElementById('jslang');
    if (ele) {
        ele.parentNode.removeChild(ele);
    }
    ele = document.getElementsByTagName('head')[0].appendChild(document.createElement('script'));
    ele.type = 'text/javascript';
    ele.id = 'jslang';
    ele.src = 'languages/'+lang+'.js';

    document.getElementById('head_config').innerHTML = head_txt['config'];
    document.getElementById('subhead_gen').innerHTML = head_txt['general'];
    document.getElementById('label_language').innerHTML = label_txt['language'];
    document.getElementById('label_style').innerHTML = label_txt['style'];
    document.getElementById('label_size').innerHTML = label_txt['font'];
    document.getElementById('label_scroll').innerHTML = label_txt['scroll'];
    document.getElementById('label_scroll_yes').innerHTML = label_txt['scroll_yes'];
    document.getElementById('label_scroll_no').innerHTML = label_txt['scroll_no'];
    document.getElementById('label_click').innerHTML = label_txt['click'];
    document.getElementById('label_click_yes').innerHTML = label_txt['click_yes'];
    document.getElementById('label_click_no').innerHTML = label_txt['click_no'];
    document.getElementById('label_title').innerHTML = label_txt['title'];
    document.getElementById('label_num').innerHTML = label_txt['num'];
    document.getElementById('label_interval').innerHTML = label_txt['interval'];
    document.getElementById('label_read').innerHTML = label_txt['read'];
    document.getElementById('label_read_all').innerHTML = label_txt['read_all'];
    document.getElementById('label_read_clear').innerHTML = label_txt['read_clear'];
    document.getElementById('label_read_none').innerHTML = label_txt['read_none'];
}

function setStyle(style) {
    var ele=document.getElementById('jsstyle');
    if (ele) {
        ele.parentNode.removeChild(ele);
    }
    ele = document.getElementsByTagName('head')[0].appendChild(document.createElement('link'));
    ele.rel = 'stylesheet';
    ele.id = 'jsstyle';
    ele.href = 'styles/'+style+'/style.css';
}

function setSize(size) {
    var ele=document.getElementById('jssize');
    if (ele) {
        ele.parentNode.removeChild(ele);
    }
    ele = document.getElementsByTagName('head')[0].appendChild(document.createElement('link'));
    ele.rel = 'stylesheet';
    ele.id = 'jssize';
    ele.href = 'styles/'+size+'.css';
    setLiHeight();
    if (document.getElementById("main_front").innerHTML != '') {
        for (var i = 0; i < rss_count; i++) {
            displayContents(i);
        }
    }
}

function setSelected(sel, val) {
    var opt = sel.options;
    sel.selectedIndex = 0;
    for (i = 0; i < sel.length; i++) {
        if (String(opt[i].value) == String(val)) {
            sel.selectedIndex = i;
            break;
        }
    }
}

function setRadio(name, val) {
    var radio = document.F1.elements[name];
    for (i = 0; i < radio.length; i++) {
        if (radio[i].value == val) {
            radio[i].checked = true;
            break;
        }
    }
}

function getRadio(name) {
    var radio = document.F1.elements[name];
    for (i = 0; i < radio.length; i++) {
        if (radio[i].checked) {
            return radio[i].value;
        }
    }
    return null;
}

function setLiHeight() {
    if (document.getElementsByTagName('li').length && document.getElementsByTagName('li')[0].offsetHeight) {
        li_height = document.getElementsByTagName('li')[0].offsetHeight;
    } else {
        if (document.getElementById('frontview').style.display == 'none') {
            var parent = document.getElementById('rss_update');
        } else {
            var parent = document.getElementById('main_front');
        }
        var oUl = document.createElement('ul');
        var ele = document.createElement('li');
        ele.innerHTML = 'test';
        oUl.appendChild(ele);
        parent.appendChild(oUl);
        li_height = ele.offsetHeight;
        parent.removeChild(oUl);
    }
}
function adjustHeight(height) {
    if (!height) {
        height = 66;
        for (var i = 0; i < rss.length; i++) {
            height += rss[i]['height'] + 30;
        }
    }
    resizeTo(420, height);
}

function htmlentities(str) {
    str = str.replace(/&/g, '&amp;');
    str = str.replace(/</g, '&lt;');
    str = str.replace(/>/g, '&gt;');
    return str;
}

function html_entity_decode(str) {
    str = str.replace(/&amp;/g, '&');
    str = str.replace(/&lt;/g, '<');
    str = str.replace(/&gt;/g, '>');
    return str;
}
